ImagickDraw::setClipUnits
ImagickDraw::setFillColor
ImagickDraw
PHP Manual

# ImagickDraw::setFillAlpha

(PECL imagick 2.0.0)

ImagickDraw::setFillAlpha — Sets the opacity to use when drawing using the fill color or fill texture

### Description

bool ImagickDraw::setFillAlpha ( float `$opacity` )
Warning

This function is currently not documented; only its argument list is available.

Sets the opacity to use when drawing using the fill color or fill texture. Fully opaque is 1.0.

### Parameters

`opacity`

  fill alpha

### Return Values

No value is returned.

### Examples

Example #1 ImagickDraw::setFillAlpha()

`<?php
function setFillAlpha($strokeColor, $fillColor, $backgroundColor) {
$draw = new \ImagickDraw();
$draw->setStrokeColor($strokeColor);
$draw->setFillColor($fillColor);
$draw->setStrokeOpacity(1);
$draw->setStrokeWidth(2);
$draw->rectangle(100, 200, 200, 300);
@$draw->setFillAlpha(0.4);
$draw->rectangle(300, 200, 400, 300);
$imagick = new \Imagick();
$imagick->newImage(500, 500, $backgroundColor);
$imagick->setImageFormat("png");
$imagick->drawImage($draw);
header("Content-Type: image/png");
echo $imagick->getImageBlob();
}
?>`

ImagickDraw::setClipUnits
ImagickDraw::setFillColor
ImagickDraw
PHP Manual